package com.fizz.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 全线张力对象 setup_tension
 * 
 * @author ruoyi
 * @date 2025-09-26
 */
public class SetupTension extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long thick;

    /** 强度 */
    private Long yieldStren;

    /** 开卷机张力 */
    @Excel(name = "开卷机张力")
    private Long value1;

    /** 入口活套 */
    @Excel(name = "入口活套")
    private Long value2;

    /** 清洗段 */
    @Excel(name = "清洗段")
    private Long value3;

    /** 炉区张力 */
    @Excel(name = "炉区张力")
    private Long value4;

    /** 冷却塔 */
    @Excel(name = "冷却塔")
    private Long value5;

    /** 光整机-不投 */
    @Excel(name = "光整机-不投")
    private Long value6;

    /** 光整机入口 */
    @Excel(name = "光整机入口")
    private Long value7;

    /** 光整机出口 */
    @Excel(name = "光整机出口")
    private Long value8;

    /** 拉矫机-不投 */
    @Excel(name = "拉矫机-不投")
    private Long value9;

    /** 拉矫机出口 */
    @Excel(name = "拉矫机出口")
    private Long value10;

    /** 后处理 */
    @Excel(name = "后处理")
    private Long value11;

    /** 出口活套 */
    @Excel(name = "出口活套")
    private Long value12;

    /** 卷取机 */
    @Excel(name = "卷取机")
    private Long value13;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value14;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value15;

    public void setThick(Long thick) 
    {
        this.thick = thick;
    }

    public Long getThick() 
    {
        return thick;
    }
    public void setYieldStren(Long yieldStren) 
    {
        this.yieldStren = yieldStren;
    }

    public Long getYieldStren() 
    {
        return yieldStren;
    }
    public void setValue1(Long value1) 
    {
        this.value1 = value1;
    }

    public Long getValue1() 
    {
        return value1;
    }
    public void setValue2(Long value2) 
    {
        this.value2 = value2;
    }

    public Long getValue2() 
    {
        return value2;
    }
    public void setValue3(Long value3) 
    {
        this.value3 = value3;
    }

    public Long getValue3() 
    {
        return value3;
    }
    public void setValue4(Long value4) 
    {
        this.value4 = value4;
    }

    public Long getValue4() 
    {
        return value4;
    }
    public void setValue5(Long value5) 
    {
        this.value5 = value5;
    }

    public Long getValue5() 
    {
        return value5;
    }
    public void setValue6(Long value6) 
    {
        this.value6 = value6;
    }

    public Long getValue6() 
    {
        return value6;
    }
    public void setValue7(Long value7) 
    {
        this.value7 = value7;
    }

    public Long getValue7() 
    {
        return value7;
    }
    public void setValue8(Long value8) 
    {
        this.value8 = value8;
    }

    public Long getValue8() 
    {
        return value8;
    }
    public void setValue9(Long value9) 
    {
        this.value9 = value9;
    }

    public Long getValue9() 
    {
        return value9;
    }
    public void setValue10(Long value10) 
    {
        this.value10 = value10;
    }

    public Long getValue10() 
    {
        return value10;
    }
    public void setValue11(Long value11) 
    {
        this.value11 = value11;
    }

    public Long getValue11() 
    {
        return value11;
    }
    public void setValue12(Long value12) 
    {
        this.value12 = value12;
    }

    public Long getValue12() 
    {
        return value12;
    }
    public void setValue13(Long value13) 
    {
        this.value13 = value13;
    }

    public Long getValue13() 
    {
        return value13;
    }
    public void setValue14(Long value14) 
    {
        this.value14 = value14;
    }

    public Long getValue14() 
    {
        return value14;
    }
    public void setValue15(Long value15) 
    {
        this.value15 = value15;
    }

    public Long getValue15() 
    {
        return value15;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("thick", getThick())
            .append("yieldStren", getYieldStren())
            .append("value1", getValue1())
            .append("value2", getValue2())
            .append("value3", getValue3())
            .append("value4", getValue4())
            .append("value5", getValue5())
            .append("value6", getValue6())
            .append("value7", getValue7())
            .append("value8", getValue8())
            .append("value9", getValue9())
            .append("value10", getValue10())
            .append("value11", getValue11())
            .append("value12", getValue12())
            .append("value13", getValue13())
            .append("value14", getValue14())
            .append("value15", getValue15())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
